Skip to main content
GET
/
api
/
v1
/
groups
/
{group_id}
/
audit_requests
/
list_latest
Get Latest Group Audit Request List
curl --request GET \
  --url https://fulfillment.noyo.com/api/v1/groups/{group_id}/audit_requests/list_latest \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://fulfillment.noyo.com/api/v1/groups/{group_id}/audit_requests/list_latest"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://fulfillment.noyo.com/api/v1/groups/{group_id}/audit_requests/list_latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "carrier_ids": [
      "8fac0992-933a-4743-8dab-0d606ef2569e"
    ],
    "completed_at": 1602609543,
    "group_id": "2ce3b54a-2535-4803-b218-e6b44081d418"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

group_id
string<uuid>
required

The unique identifier of the associated group in Noyo

Example:

"2ce3b54a-2535-4803-b218-e6b44081d418"

Query Parameters

effective_date
string

The relative date on which to view the state of the record

Response

200 - application/json

Successful Response - Returns metadata list about the latest Group Audit Requests for each carrier in the group's carrier config

carrier_ids
string<uuid>[]
required

List of carrier IDs included in group audit

Minimum array length: 1

Carrier ID used for group audit

completed_at
integer
required

The date the group audit request was completed

group_id
string<uuid>
required
read-only

Unique identifier of the associated group in Noyo